Bug 982079 - [abrt] vegastrike-0.5.1-10.r1.fc19: r300_swtcl_vertex_psc: Process /usr/bin/vegastrike was killed by signal 6 (SIGABRT)
Summary: [abrt] vegastrike-0.5.1-10.r1.fc19: r300_swtcl_vertex_psc: Process /usr/bin/v...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8aefc7c41067787fc89cf8c562a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-08 06:04 UTC by Levi M. Anderson
Modified: 2015-02-17 15:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 15:57:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (43.59 KB, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: core_backtrace (2.51 KB, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: dso_list (6.18 KB, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: environ (1.65 KB, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: maps (31.20 KB, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: open_fds (428 bytes, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: var_log_messages (752 bytes, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details
File: xsession_errors (216 bytes, text/plain)
2013-07-08 06:05 UTC, Levi M. Anderson
no flags Details

Description Levi M. Anderson 2013-07-08 06:04:57 UTC
Description of problem:
crashed while opening program

Version-Release number of selected component:
vegastrike-0.5.1-10.r1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        vegastrike
crash_function: r300_swtcl_vertex_psc
executable:     /usr/bin/vegastrike
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 r300_swtcl_vertex_psc at r300_state_derived.c:167
 #3 r300_update_derived_state at r300_state_derived.c:1084
 #4 r300_swtcl_draw_vbo at r300_render.c:852
 #5 st_draw_vbo at ../../src/mesa/state_tracker/st_draw.c:286
 #6 vbo_draw_arrays at ../../src/mesa/vbo/vbo_exec_array.c:624
 #7 GFXVertexList::Draw at src/gfxlib_struct.cpp:457
 #8 Mesh::ProcessShaderDrawQueue at src/gfx/mesh_gfx.cpp:1436
 #9 Mesh::ProcessDrawQueue at src/gfx/mesh_gfx.cpp:962
 #10 Mesh::ProcessUndrawnMeshes at src/gfx/mesh_gfx.cpp:576
 #11 GameUnit<Unit>::DrawNow at src/cmd/unit.cpp:319

Comment 1 Levi M. Anderson 2013-07-08 06:05:02 UTC
Created attachment 770263 [details]
File: backtrace

Comment 2 Levi M. Anderson 2013-07-08 06:05:05 UTC
Created attachment 770264 [details]
File: cgroup

Comment 3 Levi M. Anderson 2013-07-08 06:05:09 UTC
Created attachment 770265 [details]
File: core_backtrace

Comment 4 Levi M. Anderson 2013-07-08 06:05:13 UTC
Created attachment 770266 [details]
File: dso_list

Comment 5 Levi M. Anderson 2013-07-08 06:05:16 UTC
Created attachment 770267 [details]
File: environ

Comment 6 Levi M. Anderson 2013-07-08 06:05:24 UTC
Created attachment 770268 [details]
File: limits

Comment 7 Levi M. Anderson 2013-07-08 06:05:27 UTC
Created attachment 770269 [details]
File: maps

Comment 8 Levi M. Anderson 2013-07-08 06:05:30 UTC
Created attachment 770270 [details]
File: open_fds

Comment 9 Levi M. Anderson 2013-07-08 06:05:34 UTC
Created attachment 770271 [details]
File: proc_pid_status

Comment 10 Levi M. Anderson 2013-07-08 06:05:37 UTC
Created attachment 770272 [details]
File: var_log_messages

Comment 11 Levi M. Anderson 2013-07-08 06:05:40 UTC
Created attachment 770273 [details]
File: xsession_errors

Comment 12 Hans de Goede 2013-08-09 08:53:25 UTC
Seems to be a mesa issue, changing component to mesa.

Comment 13 Fedora End Of Life 2015-01-09 18:45:07 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-02-17 15:57:09 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.